Log In

Create a temporary upload

post/public/v1/temporary-uploads

Uploads a file and returns an opaque reference that can be attached to other resources by passing its id in a JSON request body. To send the file straight to storage instead of through the API, use Create a temporary upload URL.

  • Authorizationstringrequired

    Bearer authentication header of the form Bearer <token>, where <token> is your API key. See How to set up an API key.

Body

multipart/form-data
  • filestring<binary>required

Response

200application/json

TemporaryUploadResource

  • dataobjectrequired
    ▶Show 5 child attributes
    • idstringrequired
      Example:d1c2e3f4-a5b6-47c8-9d0e-1f2a3b4c5d6e
    • filenamestringrequired
      Example:service-agreement.pdf
    • mime_typestring | nullrequired
      Example:application/pdf
    • file_sizeinteger | nullrequired
      Example:51200
    • expires_atstringrequired
      Example:2024-01-16T10:30:00+00:00
  • 401Unauthenticated
  • 403Authorization error
  • 422Validation error